﻿using System.Windows;
using System;
using System.Collections.ObjectModel;
using Module1.Views;
using System.ComponentModel.Composition;

namespace Module1.ViewModels
{
	[Export(typeof(FlandersViewModel))]
	public class FlandersViewModel : ViewModelBase
	{
		public FlandersViewModel()
		{
			this.Title = "Flanders";
			this.IsSelected = true;
			Items = new ObservableCollection<ViewModelBase>();
			Items.Add(new ViewModelBase() { ItemHeader = "Ned" });
			Items.Add(new ViewModelBase() { ItemHeader = "Maude" });
			Items.Add(new ViewModelBase() { ItemHeader = "Rod" });
			Items.Add(new ViewModelBase() { ItemHeader = "Todd" });
		}

		private FrameworkElement view;
		public FrameworkElement View
		{
			get
			{
				if (view == null)
				{
					view = new FlandersView();
				}

				DetachFromVisualParent(view);
				
				return view;
			}
		}

		public ObservableCollection<ViewModelBase> Items { get; set; }

	}
}
