﻿using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System;

namespace Module1.ViewModels
{
	public class ViewModelBase : INotifyPropertyChanged
	{
		private bool isSelected;
		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (this.isSelected != value)
				{
					this.isSelected = value;
					OnPropertyChanged("IsSelected");
				}
			}
		}
        
		private String itemHeader;
		public String ItemHeader
		{
			get
			{
				return this.itemHeader;
			}
			set
			{
				if (this.itemHeader != value)
				{
					this.itemHeader = value;
					OnPropertyChanged("ItemHeader");
				}
			}
		}
        
		private string title;

		public string Title
		{
			get
			{
				return this.title;
			}
			internal set
			{
				if (this.title != value)
				{
					this.title = value;
					this.OnPropertyChanged("Title");
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		protected void DetachFromVisualParent(FrameworkElement visual)
		{
			var parent = VisualTreeHelper.GetParent(visual) as ContentPresenter;
			if (parent != null)
			{
				parent.Content = null;
			}
		}
	}
}
