﻿using System.Windows;
using Module2.Views;
using System.ComponentModel.Composition;
using System.Collections.ObjectModel;
using System;

namespace Module2.ViewModels
{
	[Export(typeof(SimpsonsViewModel))]
	public class SimpsonsViewModel : ViewModelBase
	{
		public SimpsonsViewModel()
		{
			this.Title = "Simpsons";
			this.IsSelected = false;
			Items = new ObservableCollection<ViewModelBase>();
			Items.Add(new ViewModelBase() { Header = "Homer" });
			Items.Add(new ViewModelBase() { Header = "Marge" });
			Items.Add(new ViewModelBase() { Header = "Bart" });
			Items.Add(new ViewModelBase() { Header = "Lisa" });
			Items.Add(new ViewModelBase() { Header = "Maggie" });
		}

		public ObservableCollection<ViewModelBase> Items { get; set; }

		private FrameworkElement view;
		public FrameworkElement View
		{
			get
			{
				if (view == null)
				{
					view = new SimpsonsView();
				}

				DetachFromVisualParent(view);

				return view;
			}
		}
	}
}
