﻿using System.ComponentModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System;

namespace Module2.ViewModels
{
	public class ViewModelBase : INotifyPropertyChanged
	{
		
		private bool isSelected;
		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (this.isSelected != value)
				{
					this.isSelected = value;
					OnPropertyChanged("IsSelected");
				}
			}
		}
        

		private String header;
		public String Header
		{
			get
			{
				return this.header;
			}
			set
			{
				if (this.header != value)
				{
					this.header = value;
					OnPropertyChanged("Header");
				}
			}
		}
        


		private string title;

		public string Title
		{
			get
			{
				return this.title;
			}
			internal set
			{
				if (this.title != value)
				{
					this.title = value;
					this.OnPropertyChanged("Title");
				}
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		protected void DetachFromVisualParent(FrameworkElement visual)
		{
			var parent = VisualTreeHelper.GetParent(visual) as ContentPresenter;
			if (parent != null)
			{
				parent.Content = null;
			}
		}
	}
}
