﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.MefExtensions;
using System.ComponentModel.Composition.Hosting;
using Microsoft.Practices.Prism.Modularity;

namespace SimpleVisualModuleLoadingApp
{
    public class TheBootstrapper : MefBootstrapper
    {
        protected override void InitializeShell()
        {
            base.InitializeShell();

            Application.Current.RootVisual = (UIElement) Shell;
        }

        protected override DependencyObject CreateShell()
        {
            return Container.GetExportedValue<Shell>();
        }

        protected override void ConfigureAggregateCatalog()
        {
            base.ConfigureAggregateCatalog();

            // Prism's AggregateCatalog is a catalog of all MEF composable parts
            // within the application.
            // We add the parts corresponding to the current assembly to it
            AggregateCatalog.Catalogs.Add(new AssemblyCatalog(this.GetType().Assembly));
        }

        protected override IModuleCatalog CreateModuleCatalog()
        {
            ModuleCatalog moduleCatalog = new ModuleCatalog();

			// this is the code responsible 
			// for adding Module1 to the application
			moduleCatalog.AddModule
			(
				new ModuleInfo
				{
					InitializationMode = InitializationMode.WhenAvailable,
					Ref = "Module1.xap",
					ModuleName = "Module1",
					ModuleType = "Module1.Module1, Module1, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
				}
			);

			
			// this is the code responsible 
			// for adding Module2 to the application
			moduleCatalog.AddModule
		 (
			 new ModuleInfo
			 {
				 InitializationMode = InitializationMode.WhenAvailable,
				 Ref = "Module2.xap",
				 ModuleName = "Module2",
				 ModuleType = "Module2.Module2, Module2, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null"
			 }
		 );
            return moduleCatalog;
        }
    }
}
